﻿using System.Collections.ObjectModel;
using System.Diagnostics;
using System.Windows.Input;
using GalaSoft.MvvmLight;
using GalaSoft.MvvmLight.Command;

namespace GridViewTappedItem.Viewmodel
{
  public class DemoViewModel : ViewModelBase
  {
    public DemoViewModel()
    {
      Phones = new ObservableCollection<Phone>
                 {
                   new Phone {Brand = "Nokia", Type = "Lumia 920"},
                   new Phone {Brand = "Nokia", Type = "Lumia 820"},
                   new Phone {Brand = "Samsung", Type = "Ativ"},
                 };
    }

    public ObservableCollection<Phone> Phones { get; set; }

    public ICommand TappedCommand
    {
      get
      {
        return new RelayCommand<Phone>(
            (p) =>
            {
              if( p != null )
              {
                Debug.WriteLine("Tapped item: {0} {1}", p.Brand,p.Type);
              }
            }
            );
      }
    }

    private Phone selectedPhone;
    public Phone SelectedPhone
    {
      get { return selectedPhone; }
      set
      {
        if (selectedPhone != value)
        {
          selectedPhone = value;
          RaisePropertyChanged(() => SelectedPhone);
        }
      }
    }
  }
}

